@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
async_context Struct Reference
pico_async_context

Base structure type of all async_contexts. For details about its use, see pico_async_context. More...

`#include <async_context.h>`

Collaboration diagram for async_context:
[legend]

## Data Fields

const async_context_type_t * | type
async_when_pending_worker_t * | when_pending_list
async_at_time_worker_t * | at_time_list
absolute_time_t | next_time
uint16_t | flags
uint8_t | core_num

## Detailed Description

Base structure type of all async_contexts. For details about its use, see pico_async_context.

Individual async_context_types with additional state, should contain this structure at the start.

The documentation for this struct was generated from the following file:

- include/pico/async_context.h